{% macro show(user, membership, exam, status) -%}

<style type="text/css">
.delete-exam {
  padding-top: 0;
  padding-bottom: 0;
}

.status {
  text-align: end;
  white-space: nowrap;
  overflow-x: scroll;
}

.card-footer {
  margin-top: auto;
}

.card {
  display: flex;
  flex-direction: column;
}
</style>
<div class="card" style="border-radius: 1em; margin: 2em; width: 300px">
  <header class="card-header exam" style="border-top-left-radius: 0.5em; border-top-right-radius: 0.5em;">
    <p class="card-header-title">
      {{exam.name}}
    </p>
    {% if membership.name != "student" %}
    <div class="card-header-icon">
      <a href="/exam/{{exam.semester_code}}/{{exam.course_code}}/{{exam.slug}}/delete" class="card-footer-item delete-exam" onclick="return confirm('Attention, vous êtes sur le point de supprimer un examen. Cela entrainera la suppression de toutes ses données. Êtes-vous sûr ?')"">
        <i class="fa-solid fa-trash-can fa-lg" style="color: #ea4c4c;"></i>
      </a>
    </div>
    {% endif %}
  </header>
  <div class="card-content">
    <div class="content">
      <dl>
        <dt>Date de passage</dt>
        <dd>{% if exam.date is not none %}{{exam.date.strftime("%d/%m/%Y")}}{% else %} Non définie{% endif %}</dd>
        {% if membership.name != "student" %}
        <dt>Nombre de parties</dt>
        <dd>{{exam.exam_parts|length}}</dd>
        {% endif %}
        <dt>Correction</dt>
        <dd>
          {% if exam.correction is not none and exam.correction != "" %}
          <a href="{{exam.correction}}">Lien</a>
          {% else %}
          <p>Non renseignée</p>
          {% endif %}
        </dd>
        {% if membership.name != "student" %}
          <div class="status"><span class="tag is-rounded {{status[exam.status[0]].class}}">{{status[exam.status[0]].status}}</span>
            {% if exam.status[1] is not none %}
            <span class="tag is-rounded {{status[exam.status[1]].class}}">{{status[exam.status[1]].status}}</span>
            {% endif %}
          </div>
        {% else %}
          {% for part in exam.exam_parts %}
            <dt>Note {% if exam.exam_parts.__len__()>1 %}{{part.name}}{% endif %} :</dt>
            {% if part.part_paper_of_student(user) is not none %}
            <dd>{% if part.part_paper_of_student(user).displaygrade is not none %}{{part.part_paper_of_student(user).displaygrade}}{% else %}Non renseignée{% endif %}</dd>
            {% else %}
            <dd>Non disponible</dd>
            {% endif %}
          {% endfor %}
        {% endif %}
      </dl>
    </div>
  </div>
  <footer class="card-footer">
    {% if membership.name != "student" %}
    <a href="/exam/{{exam.semester_code}}/{{exam.course_code}}/{{exam.slug}}/manage" class="card-footer-item">Gérer</a>
    <a href="/exam/{{exam.semester_code}}/{{exam.course_code}}/{{exam.slug}}/table?details=true" class="card-footer-item">Consulter</a>
    {% else %}
        {% if exam.has_part_paper_for_student(user) %}
        <a href="/render/pdf/{{exam.semester_code}}_{{exam.course_code}}_{{exam.slug}}_{{user.login}}.pdf" class="card-footer-item">Consulter</a>
        {% endif %}
    {% endif %}
  </footer>
</div>

{% endmacro %}
